package com.xy.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.List;

@Data
@Component
@ConfigurationProperties(prefix = "web.mqtt")
public class WebMqttConfig {
    /**
     * ip
     */
    private String ip;

    /**
     * ws端口
     */
    private Integer wsPort;

    /**
     * wss端口
     */
    private Integer wssPort;

    /**
     * 账号
     */
    private String username;

    /**
     * 密码
     */
    private String password;

    /**
     * 协议前缀
     */
    private Protocol protocol;

    /**
     * topic前缀
     */
    private Topic topic;

    @Data
    public static class Protocol {

        /**
         * # pc端
         */
        private String pcUrl;

        /**
         * 微信c端
         */
        private String wxsUrl;

        /**
         * 支付宝c端
         */
        private String alisUrl;
    }

    @Data
    public static class Topic {
        /**
         * topic前缀
         */
        private String prefix;

        /**
         * pc管理端
         */
        private String pcManagePrefix;

        /**
         * 微信c端小程序
         */
        private String wxCPrefix;

        /**
         * 支付宝c端小程序
         */
        private String alisCPrefix;
    }
}
