package com.xy.entity;

import cn.easyes.annotation.IndexId;
import cn.easyes.annotation.IndexName;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 操作日志
 */
@Data
@Accessors(chain = true)
@IndexName("log_operate")
public class LogOperate {

    @IndexId
    private String id;

    /**
     * 日志类型 1=登录日志 2=操作日志
     */
    private Integer logType;

    /**
     * 日志内容
     */
    private String logContent;

    /**
     * 客户端类型
     */
    private String clientType;

    /**
     * 系统ID
     */
    private Long sysId;

    /**
     * 客户端ip
     */
    private String clientIp;

    /**
     * 操作人
     */
    private Long optUserId;

    /**
     * 操作类型 1=新增 2=修改 3=查询 4=删除 5=导出 6=导入
     */
    private Integer optType;

    /**
     * 操作耗时
     */
    private Integer optTime;

    /**
     * 创建时间
     */
    private String createTime;

    /**
     * 服务名
     */
    private String serviceName;

    /**
     * 日志类别
     */
    private String type;
}
