package com.xy.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 系统消息
 * </p>
 *
 * @author 谭斌
 * @since 2023-03-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "MsgSysMonitorNotice对象", description = "系统消息")
public class MsgSysMonitorNotice implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "msg_id", type = IdType.AUTO)
    private Integer msgId;

    @ApiModelProperty(value = "消息类型")
    private Integer msgType;

    @ApiModelProperty(value = "消息标题")
    private String title;

    @ApiModelProperty(value = "消息内容")
    private String content;

    @ApiModelProperty(value = "消息优先级")
    private Integer priority;

    @ApiModelProperty(value = "发送目标")
    private String sendTargets;

    @ApiModelProperty(value = "发送类型")
    private String channelType;

    @ApiModelProperty(value = "事件编码")
    private String eventCode;

    @ApiModelProperty(value = "发布状态")
    private Integer pubState;

    @ApiModelProperty(value = "发布时间")
    private LocalDateTime pubTime;

    @ApiModelProperty(value = "发布人")
    private Integer pubUserId;

    @ApiModelProperty(value = "失败时间")
    private LocalDateTime invalidationTime;

    @ApiModelProperty(value = "撤销时间")
    private LocalDateTime revokeTime;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /**
     * 是否弹出显示
     */
    @ApiModelProperty(value = "是否弹出显示")
    private Boolean popUp;


}
