package com.xy.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 界面-引导提示配置表
 * </p>
 *
 * @author lijin
 * @since 2023-01-05
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
public class UiGuide implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 引导编码
     */
    private String guideId;

    /**
     * 引导标题
     */
    private String guideTitle;

    /**
     * 引导类型
     */
    private Integer guideType;

    /**
     * 启用状态
     */
    private Integer guideState;

    /**
     * 引导内容
     */
    private String guideContent;

    /**
     * 引导类容内型
     */
    private Integer guideContentType;

    /**
     * 显示方式
     */
    private Integer viewType;

    /**
     * 链接
     */
    private String guideLink;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;


}
