package com.xy.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.xy.base.BaseEntity3;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 用户表
 * </p>
 *
 * @author lijin
 * @since 2023-01-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "UserInfo对象", description = "用户表")
public class UserInfo extends BaseEntity3<UserInfo> implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId
    @ApiModelProperty(value = "id")
    private Long userId;

    @ApiModelProperty(value = "账户名称")
    private String name;

    @ApiModelProperty(value = "手机号")
    private String tel;

    @ApiModelProperty(value = "邮件")
    private String mail;

    @ApiModelProperty(value = "微信开放平台识别码")
    private String unionid;

    @ApiModelProperty(value = "微信小程序openid")
    private String wechatOpenid;

    @ApiModelProperty(value = "微信公众号openid")
    private String mpOpenid;

    @ApiModelProperty(value = "支付宝用户id")
    private String aliUserId;

    @ApiModelProperty(value = "系统id")
    private Long sysId;

    @ApiModelProperty(value = "权限系统用户id")
    private Long authorizeUserId;

    @ApiModelProperty(value = "用户类型")
    private String userType;

    @ApiModelProperty(value = "状态")
    private Boolean status;

}
