package com.xy.job;

import cn.easyes.core.conditions.LambdaEsQueryWrapper;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import com.xy.entity.LogOperate;
import com.xy.entity.SysDictRedis;
import com.xy.mapper.LogOperateMapper;
import com.xy.sys.EnumDataClearSize;
import com.xy.utils.DataTime;
import com.xy.utils.IndexUtils;
import com.xy.utils.SysDictUtils;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * 操作日志执行器
 */
@Slf4j
@Component
@AllArgsConstructor
public class LogOperateJob {

    private LogOperateMapper logOperateMapper;

    /**
     * 清除操作日志
     *
     * @return
     */
    @Deprecated
    @XxlJob("removeLogOperate")
    public ReturnT<String> removeLogOperate() {
        SysDictRedis sysDictRedis = SysDictUtils.get(EnumDataClearSize.Code.CODE.getCode(), EnumDataClearSize.LOG_PPERATE_CLEAD_DAY.getCode());
        int day = Integer.valueOf(sysDictRedis.getValue());
        String beginTime = DataTime.getStringAround(0, 0, (~(day - 1)), 0, 0, 0);
        Integer delete = logOperateMapper.delete(new LambdaEsQueryWrapper<LogOperate>()
                .le(LogOperate::getCreateTime, beginTime)
        );
        //合并索引
        IndexUtils.forceMerge(delete > 0, logOperateMapper);
        log.info("已清除操作日志，条数：{}", delete);
        return ReturnT.SUCCESS;
    }
}
