package com.xy.job;

import cn.easyes.core.conditions.LambdaEsQueryWrapper;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import com.xy.entity.LogSysEvents;
import com.xy.entity.SysDictRedis;
import com.xy.mapper.LogSysEventsMapper;
import com.xy.sys.EnumDataClearSize;
import com.xy.utils.DataTime;
import com.xy.utils.IndexUtils;
import com.xy.utils.SysDictUtils;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * 系统事件日志执行器
 */
@Slf4j
@Component
@AllArgsConstructor
public class LogSysEventsJob {

    private LogSysEventsMapper logSysEventsMapper;

    /**
     * 清除系统事件日志
     *
     * @return
     */
    @Deprecated
    @XxlJob("removeLogSysEvents")
    public ReturnT<String> removeLogSysEvents() {
        SysDictRedis sysDictRedis = SysDictUtils.get(EnumDataClearSize.Code.CODE.getCode(), EnumDataClearSize.LOG_SYS_EVENTS_CLEAN_DAY.getCode());
        int day = Integer.valueOf(sysDictRedis.getValue());
        String beginTime = DataTime.getStringAround(0, 0, (~(day - 1)), 0, 0, 0);
        Integer delete = logSysEventsMapper.delete(new LambdaEsQueryWrapper<LogSysEvents>()
                .le(LogSysEvents::getCreateTime, beginTime)
        );
        //合并索引
        IndexUtils.forceMerge(delete > 0, logSysEventsMapper);
        log.info("已清除系统事件日志，条数：{}", delete);
        return ReturnT.SUCCESS;
    }
}
