package com.xy.service;

import cn.easyes.core.biz.EsPageInfo;
import cn.easyes.core.conditions.LambdaEsQueryWrapper;
import com.xy.dto.LogSysEventsDto;
import com.xy.entity.LogSysEvents;
import com.xy.mapper.LogSysEventsMapper;
import com.xy.utils.EsQueryWrapper;
import com.xy.utils.PageBean;
import com.xy.utils.R;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import static com.xy.utils.EsBeans.toPageBean;

@Service
@AllArgsConstructor
@Api(tags = "系统事件")
public class LogSysEventsServiceImpl implements LogSysEventsService {

    private LogSysEventsMapper logSysEventsMapper;

    @PostMapping("page")
    @ApiOperation("分页查询")
    public R<PageBean<LogSysEventsDto.Vo>> page(@RequestBody LogSysEventsDto.Page page) {
        PageBean pageBean = page.getPage();
        LambdaEsQueryWrapper<LogSysEvents> lambdaEsQueryWrapper = new EsQueryWrapper().eqWrapper(page, LogSysEvents.class)
                .ge(LogSysEvents::getCreateTime, page.getBeginCreateTime())
                .le(LogSysEvents::getCreateTime, page.getEndCreateTime())
                .like(LogSysEvents::getEventDescript)
                .build()
                .orderByDesc(LogSysEvents::getCreateTime);
        EsPageInfo<LogSysEvents> esPageInfo = logSysEventsMapper.pageQuery(lambdaEsQueryWrapper, (int) pageBean.getCurrent(), (int) pageBean.getSize());
        return R.ok(toPageBean(LogSysEventsDto.Vo.class, esPageInfo));
    }
}
