package com.xy.service;

import cn.easyes.core.biz.EsPageInfo;
import cn.easyes.core.conditions.LambdaEsQueryWrapper;
import com.xy.dto.MqttConsumeErrorDataDto;
import com.xy.entity.MqttConsumeErrorData;
import com.xy.mapper.MqttConsumeErrorDataMapper;
import com.xy.utils.EsQueryWrapper;
import com.xy.utils.PageBean;
import com.xy.utils.R;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import static com.xy.utils.EsBeans.toPageBean;

@Service
@AllArgsConstructor
@Api(tags = "mqtt消费失败数据")
public class MqttConsumeErrorDataServiceImpl implements MqttConsumeErrorDataService {

    private MqttConsumeErrorDataMapper mqttConsumeErrorDataMapper;

    @PostMapping("page")
    @ApiOperation("分页查询")
    public R<PageBean<MqttConsumeErrorDataDto.Vo>> page(@RequestBody MqttConsumeErrorDataDto.Page page) {
        PageBean pageBean = page.getPage();
        LambdaEsQueryWrapper<MqttConsumeErrorData> lambdaEsQueryWrapper = new EsQueryWrapper().eqWrapper(page, MqttConsumeErrorData.class)
                .ge(MqttConsumeErrorData::getCreateTime, page.getBeginCreateTime())
                .le(MqttConsumeErrorData::getCreateTime, page.getEndCreateTime())
                .like(MqttConsumeErrorData::getMsg)
                .build()
                .orderByDesc(MqttConsumeErrorData::getCreateTime);
        EsPageInfo<MqttConsumeErrorData> esPageInfo = mqttConsumeErrorDataMapper.pageQuery(lambdaEsQueryWrapper, (int) pageBean.getCurrent(), (int) pageBean.getSize());
        return R.ok(toPageBean(MqttConsumeErrorDataDto.Vo.class, esPageInfo));
    }

}
