package com.xy.service;

import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.xy.config.SysThreadPoolConfig;
import com.xy.dto.SysMqttDto;
import com.xy.entity.LogOperate;
import com.xy.entity.LogSysEvents;
import com.xy.entity.LogTasks;
import com.xy.mapper.LogOperateMapper;
import com.xy.mapper.LogSysEventsMapper;
import com.xy.mapper.LogTasksMapper;
import com.xy.utils.LambdaUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

@Service
@AllArgsConstructor
@Api(tags = "系统消费者")
public class SysMqttConsumerImpl implements SysMqttConsumer {

    private LogOperateMapper logOperateMapper;

    private LogSysEventsMapper logSysEventsMapper;

    private LogTasksMapper logTasksMapper;

    @Override
    @ApiOperation("日志")
    @Async(SysThreadPoolConfig.LOG_POLL)
    public void logs(SysMqttDto.RequestParams requestParams) {
        JSONObject jsonObject = JSONUtil.parseObj(requestParams.getData());
        String type = jsonObject.getStr(LambdaUtils.getProperty(LogOperate::getType));
        if ("operate".equals(type)) {
            logOperateMapper.insert(jsonObject.toBean(LogOperate.class));
        }
        if ("events".equals(type)) {
            logSysEventsMapper.insert(jsonObject.toBean(LogSysEvents.class));
        }
        if ("tasks".equals(type)) {
            logTasksMapper.insert(jsonObject.toBean(LogTasks.class));
        }
    }
}
