package com.xy.dto;

import com.xy.enums.FileExportType;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * <p>
 * excel文件导出
 * </p>
 *
 * @author 谭斌
 * @since 2023-03-04
 */
@Data
@Accessors(chain = true)
public class ExcelDTO<T> {
    @ApiModelProperty(value = "sheetName", required = true)
    private String sheetName;

    @ApiModelProperty(value = "文件导出类型", required = true)
    private FileExportType fileExportType;
    @ApiModelProperty(value = "excel", required = true)
    private Class<T> head;
    @ApiModelProperty(value = "数据列表", required = true)
    private List<T> data;
}
