package com.xy.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xy.utils.PageBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 文件导出
 * </p>
 *
 * @author 谭斌
 * @since 2023-03-04
 */
public class FileExportDto {


    @Data
    @Accessors(chain = true)
    public static class SelectList extends Vo {

    }

    @Data
    @Accessors(chain = true)
    public static class Del {

        @ApiModelProperty(value = "id")
        private List<Long> ids;

    }

    @Data
    @Accessors(chain = true)
    public static class Page {

        @ApiModelProperty(value = "创建人")
        private Long createUser;

        
        @ApiModelProperty(value = "主键")
        private Long id;

        @ApiModelProperty(value = "文件名称")
        private String fileName;

        @ApiModelProperty(value = "文件类型（字典 file_export_type）")
        private String fileType;

        @ApiModelProperty(value = "导出状态（字典 file_export_status）")
        private String exportStatus;

        @ApiModelProperty(value = "导出成功时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime exportSuccessTime;


        @ApiModelProperty(value = "商户ID")
        private Long mercId;

        @ApiModelProperty(value = "商户名称")
        private String mercName;

        @ApiModelProperty(value = "导出失败错误信息")
        private String errorInfo;


        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createTime;


        @ApiModelProperty(value = "分页对象", required = true)
        private PageBean page;

    }

    @Data
    @Accessors(chain = true)
    public static class Save {
        @ApiModelProperty(value = "主键")
        private Long id;

        @ApiModelProperty(value = "文件名称")
        private String fileName;

        @ApiModelProperty(value = "文件类型（字典）")
        private String fileType;

        @ApiModelProperty(value = "导出状态（字典）")
        private String exportStatus;


        @ApiModelProperty(value = "文件地址")
        private String fileUrl;

        @ApiModelProperty(value = "商户ID")
        private Long mercId;

        @ApiModelProperty(value = "商户名称")
        private String mercName;

        @ApiModelProperty(value = "导出失败错误信息")
        private String errorInfo;


    }

    @Data
    @Accessors(chain = true)
    public static class Update {
        @ApiModelProperty(value = "主键")
        private Long id;

        @ApiModelProperty(value = "文件名称")
        private String fileName;

        @ApiModelProperty(value = "文件类型（字典）")
        private String fileType;

        @ApiModelProperty(value = "导出状态（字典）")
        private String exportStatus;

        @ApiModelProperty(value = "导出成功时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime exportSuccessTime;

        @ApiModelProperty(value = "文件地址")
        private String fileUrl;

        @ApiModelProperty(value = "商户ID")
        private Long mercId;

        @ApiModelProperty(value = "商户名称")
        private String mercName;

        @ApiModelProperty(value = "导出失败错误信息")
        private String errorInfo;

        @ApiModelProperty(value = "创建人")
        private Long createUser;

        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createTime;

        @ApiModelProperty(value = "更新时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime updateTime;
    }

    @Data
    @Accessors(chain = true)
    public static class Vo {

        @ApiModelProperty(value = "主键")
        private Long id;

        @ApiModelProperty(value = "文件名称")
        private String fileName;

        @ApiModelProperty(value = "文件类型（字典 file_export_type）")
        private String fileType;

        @ApiModelProperty(value = "导出状态（字典 file_export_status）")
        private String exportStatus;

        @ApiModelProperty(value = "导出成功时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime exportSuccessTime;

        @ApiModelProperty(value = "文件地址")
        private String fileUrl;

        @ApiModelProperty(value = "商户ID")
        private Long mercId;

        @ApiModelProperty(value = "商户名称")
        private String mercName;

        @ApiModelProperty(value = "导出失败错误信息")
        private String errorInfo;

        @ApiModelProperty(value = "创建人")
        private Long createUser;

        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createTime;

        @ApiModelProperty(value = "更新时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime updateTime;

    }

}
