package com.xy.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xy.utils.PageBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.time.LocalDate;
import java.time.LocalDateTime;

public class LogOperateDto {

    @Data
    @Accessors(chain = true)
    public static class Page extends Vo {

        private PageBean page;

        @JsonFormat(pattern = "yyyy-MM-dd")
        @ApiModelProperty(value = "创建时间-起")
        private LocalDate beginCreateTime;

        @JsonFormat(pattern = "yyyy-MM-dd")
        @ApiModelProperty(value = "创建时间-始")
        private LocalDate endCreateTime;

        public LocalDateTime getBeginCreateTime() {
            return beginCreateTime == null ? null : beginCreateTime.atTime(0, 0, 0);
        }

        public LocalDateTime getEndCreateTime() {
            return endCreateTime == null ? null : endCreateTime.atTime(23, 59, 59);
        }
    }

    @Data
    @Accessors(chain = true)
    public static class MqttBySn {

        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        @ApiModelProperty(value = "创建时间-起")
        private LocalDateTime beginCreateTime;

        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        @ApiModelProperty(value = "创建时间-始")
        private LocalDateTime endCreateTime;
    }

    @Data
    @Accessors(chain = true)
    public static class Vo {

        @ApiModelProperty("id")
        private String id;

        @ApiModelProperty("日志类型 1=登录日志 2=操作日志")
        private Integer logType;

        @ApiModelProperty("日志内容")
        private String logContent;

        @ApiModelProperty("客户端类型")
        private String clientType;

        @ApiModelProperty("系统ID")
        private Long sysId;

        @ApiModelProperty("客户端ip")
        private String clientIp;

        @ApiModelProperty("操作人ID")
        private Long optUserId;

        @ApiModelProperty("操作类型 1=新增 2=修改 3=查询 4=删除 5=导出 6=导入")
        private Integer optType;

        @ApiModelProperty("操作耗时")
        private Integer optTime;

        @ApiModelProperty("创建时间")
        private String createTime;

        @ApiModelProperty("服务名")
        private String serviceName;

        @ApiModelProperty("日志类别")
        private String type;


        @ApiModelProperty("操作人名称")
        private String optUserName;
    }
}
