package com.xy.dto;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.xy.utils.PageBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * <p>
 * 系统消息
 * </p>
 *
 * @author 谭斌
 * @since 2023-03-13
 */
public class MsgSysMonitorNoticeDto {

    @Data
    @Accessors(chain = true)
    public static class SelectList extends Vo {

    }

    @Data
    @Accessors(chain = true)
    public static class Page extends Vo {

        @ApiModelProperty(value = "分页对象", required = true)
        private PageBean page;

    }

    @Data
    @Accessors(chain = true)
    public static class Save extends Vo {
        @ApiModelProperty(value = "用户id")
        private Long userId;
    }

    @Data
    @Accessors(chain = true)
    public static class Update extends Vo {

    }

    @Data
    @Accessors(chain = true)
    public static class Vo {

        @ApiModelProperty(value = "id")
        private Integer msgId;

        @ApiModelProperty(value = "消息类型")
        private Integer msgType;

        @ApiModelProperty(value = "事件编码")
        private String eventCode;

        @ApiModelProperty(value = "消息标题")
        private String title;

        @ApiModelProperty(value = "消息内容")
        private String content;

        @ApiModelProperty(value = "消息优先级")
        private Integer priority;

        @ApiModelProperty(value = "发送目标")
        private String sendTargets;

        @ApiModelProperty(value = "发送类型")
        private String channelType;

        @ApiModelProperty(value = "发布状态")
        private Integer pubState;

        @ApiModelProperty(value = "发布时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime pubTime;

        @ApiModelProperty(value = "发布人")
        private Integer pubUserId;

        @ApiModelProperty(value = "失败时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime invalidationTime;

        @ApiModelProperty(value = "撤销时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime revokeTime;

        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createTime;
        /**
         * 是否弹出显示
         */
        @ApiModelProperty(value = "是否弹出显示")
        private Boolean popUp;

    }

}
