package com.xy.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xy.utils.PageBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author hechunping
 * @since 2023-03-28
 */
public class SysAgreementDto {

    @Data
    @Accessors(chain = true)
    public static class Del {

        @NotEmpty(message = "id不能为空")
        @ApiModelProperty("唯一标识")
        private List<Long> ids;
    }

    @Data
    @Accessors(chain = true)
    public static class ListByMemberDto {
        @NotEmpty(message = "类型不能为空")
        @ApiModelProperty(value = "类型")
        private List<String> typeList;
    }

    @Data
    @Accessors(chain = true)
    public static class ListByMemberVo {
        @ApiModelProperty(value = "id")
        private Long id;

        @ApiModelProperty(value = "标题")
        private String title;

        @ApiModelProperty(value = "类型")
        private String type;

        @ApiModelProperty(value = "内容")
        private String content;

        @ApiModelProperty(value = "版本")
        private String version;

        @ApiModelProperty(value = "排序")
        private Integer weigh;
    }

    @Data
    @Accessors(chain = true)
    public static class SelectList extends Vo {

    }

    @Data
    @Accessors(chain = true)
    public static class Page extends Vo {

        @ApiModelProperty(value = "分页对象", required = true)
        private PageBean page;

    }

    @Data
    @Accessors(chain = true)
    public static class Save {
        @ApiModelProperty(value = "标题")
        private String title;

        @ApiModelProperty(value = "类型")
        private String type;

        @ApiModelProperty(value = "内容")
        private String content;

        @ApiModelProperty(value = "版本")
        private String version;

        @ApiModelProperty(value = "是否显示：0=隐藏,1=显示")
        private Boolean status;

        @ApiModelProperty(value = "排序")
        private Integer weigh;
    }

    @Data
    @Accessors(chain = true)
    public static class Update extends Save{
        @ApiModelProperty(value = "id")
        private Long id;
    }

    @Data
    @Accessors(chain = true)
    public static class Vo {

        @ApiModelProperty(value = "id")
        private Long id;

        @ApiModelProperty(value = "标题")
        private String title;

        @ApiModelProperty(value = "类型")
        private String type;

        @ApiModelProperty(value = "内容")
        private String content;

        @ApiModelProperty(value = "版本")
        private String version;

        @ApiModelProperty(value = "是否显示：0=隐藏,1=显示")
        private Boolean status;

        @ApiModelProperty(value = "排序")
        private Integer weigh;

        @ApiModelProperty(value = "创建人")
        private Long createUser;

        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createTime;

        @ApiModelProperty(value = "更新人")
        private Long updateUser;

        @ApiModelProperty(value = "更新时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime updateTime;
    }

}
