package com.xy.dto;

import com.xy.utils.PageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;

@Data
@ApiModel
@Accessors(chain = true)
public class SysRegionDto {

    @Data
    @ApiModel
    @Accessors(chain = true)
    public static class Page extends Vo {

        @ApiModelProperty("分页对象")
        private PageBean page;
    }

    @Data
    @ApiModel
    @Accessors(chain = true)
    public static class SelectList extends Vo {

        @ApiModelProperty("id")
        private List<Integer> ids;

        public SelectList putIds(int id) {
            if (this.ids == null) {
                this.ids = new ArrayList<>();
            }
            this.ids.add(id);
            return this;
        }
    }

    @Data
    @ApiModel
    @Accessors(chain = true)
    public static class NextListVo{
        @ApiModelProperty("id")
        private Integer id;

        @ApiModelProperty("名称")
        private String name;
    }

    @Data
    @ApiModel
    @Accessors(chain = true)
    public static class NextListVoDto{
        @NotNull(message = "pid不能为空")
        @ApiModelProperty(value = "pid", required = true)
        private int pid;
    }

    @Data
    @ApiModel
    @Accessors(chain = true)
    public static class Update extends Vo {

        @NotNull(message = "id不能为空")
        @ApiModelProperty(value = "id", required = true)
        private Integer id;
    }

    @Data
    @ApiModel
    @Accessors(chain = true)
    public static class LocalJson{
        @ApiModelProperty("id")
        private String value;

        @ApiModelProperty("父id")
        private String parent;

        @ApiModelProperty("名称")
        private String name;
    }

    @Data
    @ApiModel
    @Accessors(chain = true)
    public static class Vo {

        @ApiModelProperty("id")
        private Integer id;

        @ApiModelProperty("父id")
        private Integer pid;

        @ApiModelProperty("简称")
        private String shortname;

        @ApiModelProperty("名称")
        private String name;

        @ApiModelProperty("全称")
        private String mergename;

        @ApiModelProperty("层级 0 1 2 3 省市区县")
        private Integer level;

        @ApiModelProperty("拼音")
        private String pinyin;

        @ApiModelProperty("长途区号")
        private String code;

        @ApiModelProperty("邮编")
        private String zip;

        @ApiModelProperty("首字母")
        private String first;

        @ApiModelProperty("经度")
        private String lng;

        @ApiModelProperty("纬度")
        private String lat;

        @ApiModelProperty("状态:0=正常,1=隐藏")
        private Integer status;
    }

}
