package com.xy.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.ToString;

/**
 * 文件导出状态
 *
 * @author 谭斌
 */
@Getter
@ToString
@AllArgsConstructor
public enum FileExportStatus {


    EXPORT_ING("1", "正在导出"),
    EXPORT_FAILED("2", "导出失败"),
    EXPORT_LOCAL_SUCESS("3", "本地生成成功"),
    EXPORT_CLOUD_SUCESS("4", "云端上传成功");

    /**
     * 编码值
     */
    private String code;

    /**
     * 描述
     */
    private String description;


    /**
     * 通过code获取enum
     *
     * @param code
     * @return
     */
    public static FileExportStatus getEnumByCode(String code) {
        FileExportStatus[] values = values();
        for (FileExportStatus value : values) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }
}
