package com.xy.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.ToString;

/**
 * 文件导出类型
 *
 * @author 谭斌
 */
@Getter
@ToString
@AllArgsConstructor
public enum FileExportType {


    DEVICE_INFO("1", "设备信息");

    /**
     * 编码值
     */
    private String code;

    /**
     * 描述
     */
    private String description;


    /**
     * 通过code获取enum
     *
     * @param code
     * @return
     */
    public static FileExportType getEnumByCode(String code) {
        FileExportType[] values = values();
        for (FileExportType value : values) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }
}
