package com.xy.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.ToString;

/**
 * 文件导出类型
 *
 * @author 谭斌
 */
@Getter
@ToString
@AllArgsConstructor
public enum MsgConfigId {


    RISK_ORDER(14L, "异常订单通知"),
    CUT_ORDER(13L, "补扣成功通知"),
    DEVICE_EXCEPTION(12L, "设备故障提醒"),
    SMS_CODE(15L, "短信验证码");

    /**
     * 编码值
     */
    private Long id;

    /**
     * 描述
     */
    private String description;


    /**
     * 通过id获取enum
     *
     * @param id
     * @return
     */
    public static MsgConfigId getEnumById(String id) {
        MsgConfigId[] values = values();
        for (MsgConfigId value : values) {
            if (value.getId().equals(id)) {
                return value;
            }
        }
        return null;
    }
}
