package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.SmsDTO;
import com.xy.dto.SmsSendDTO;
import com.xy.utils.R;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;


@RestMappingController("/ali/sms")
public interface AliSmsService {

    @PostMapping("sendCode")
    R sendCode(@RequestBody @Validated SmsSendDTO smsSendDTO);


    @PostMapping("sendCodeByUserInfo")
    R sendCodeByUserInfo(@RequestBody @Validated SmsSendDTO smsSendDTO);

    /**
     * 验证码验证
     *
     * @param smsDTO sms
     * @return 操作状态
     */
    @PostMapping("verifyCode")
    R<Boolean> verifyCode(@RequestBody @Validated SmsDTO.Validation smsDTO);
}
