package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.MsgSysMonitorNoticeDto;
import com.xy.utils.PageBean;
import com.xy.utils.R;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * <p>
 * 系统消息 服务类
 * </p>
 *
 * @author 谭斌
 * @since 2023-03-13
 */
@RestMappingController("/msg-sys-monitor-notice")
public interface MsgSysMonitorNoticeService {

    @PostMapping("obj")
    R<MsgSysMonitorNoticeDto.Vo> obj(@RequestBody MsgSysMonitorNoticeDto.Vo vo);

    @PostMapping("list")
    R<List<MsgSysMonitorNoticeDto.Vo>> list(@RequestBody MsgSysMonitorNoticeDto.SelectList selectList);

    @PostMapping("page")
    R<PageBean<MsgSysMonitorNoticeDto.Vo>> page(@RequestBody MsgSysMonitorNoticeDto.Page page);

    @PostMapping("save")
    R save(@RequestBody @Validated MsgSysMonitorNoticeDto.Save save);

    @PostMapping("update")
    R update(@RequestBody @Validated MsgSysMonitorNoticeDto.Update update);

}
