package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.MsgUserMessageDto;
import com.xy.utils.PageBean;
import com.xy.utils.R;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author 谭斌
 * @since 2023-02-24
 */
@RestMappingController("/msg-user-message")
public interface MsgUserMessageService {

    @PostMapping("obj")
    R<MsgUserMessageDto.Vo> obj(@RequestBody MsgUserMessageDto.Vo vo);

    @PostMapping("unRead")
    R<Long> myMsgUnRead();

    @PostMapping("readAll")
    R<Boolean> readAll();

    @PostMapping("myMsg")
    R<PageBean<MsgUserMessageDto.PageVO>> myMsgPage(@RequestBody MsgUserMessageDto.Page page);

    @PostMapping("myMsgCount")
    R<MsgUserMessageDto.PageCount> myMsgPageCount(@RequestBody MsgUserMessageDto.Page page);

    @PostMapping("save")
    R save(@RequestBody @Validated MsgUserMessageDto.Save save);


    @PostMapping("update")
    R update(@RequestBody @Validated MsgUserMessageDto.Update update);

}
