package com.xy.service;


import com.xy.enums.SmsSceneEnum;


/**
 * 短信接口
 *
 * @author 谭斌
 * @date 2023/08/10
 */
public interface SmsUtil {


    /**
     * 验证码发送
     *
     * @param mobile       手机号
     * @param smsSceneEnum 验证码场景
     * @param uid          用户标识uid
     */
    void sendSmsCode(String mobile, SmsSceneEnum smsSceneEnum, String uid);

    /**
     * 验证码验证
     *
     * @param mobile       手机号
     * @param smsSceneEnum 验证码场景
     * @param uid          用户标识uid
     * @param code         待验证code
     * @return 操作状态
     */
    boolean verifyCode(String mobile, SmsSceneEnum smsSceneEnum, String uid, String code);


}
