package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.SysRegionDto;
import com.xy.utils.R;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * 行政区域 接口路由
 */

@RestMappingController("sys-region")
public interface SysRegionService {

    /**
     * 对象查询
     *
     * @param vo
     * @return
     */
    @PostMapping("object")
    R<SysRegionDto.Vo> object(@RequestBody SysRegionDto.Vo vo);

    /**
     * 集合查询
     *
     * @param selectList
     * @return
     */
    @PostMapping("list")
    R<List<SysRegionDto.Vo>> list(@RequestBody SysRegionDto.SelectList selectList);

    /**
     * 根据父ID查下级列表
     * @param dto
     * @return
     */
    @PostMapping("nextList")
    R<List<SysRegionDto.NextListVo>> nextList(@RequestBody SysRegionDto.NextListVoDto dto);
}
