package com.xy.service;

import cn.hutool.core.lang.tree.Tree;
import com.xy.annotate.RestMappingController;
import com.xy.dto.SysSceneDto;
import com.xy.utils.R;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * <p>
 * 场景服务
 * </p>
 *
 * @author hechunping
 * @since 2023/2/1
 */
@RestMappingController("sys-scene")
public interface SysSceneService {
    /**
     * 场景树
     * @return
     */
    @PostMapping("tree")
    R<List<Tree<Long>>> tree(@RequestBody SysSceneDto.SceneListDto Pater);

    /**
     * 对象查询
     * @return
     */
    @PostMapping("obj")
    R<SysSceneDto.Vo> obj(@RequestBody SysSceneDto.Vo vo);

    /**
     * 查询下一级列表
     * @param pater
     * @return
     */
    @PostMapping("nextList")
    R<List<SysSceneDto.Vo>> nextList(@RequestBody @Validated SysSceneDto.SceneListDto pater);
}
