package com.xy.annotation;

import com.xy.enums.LogEnum;

import java.lang.annotation.*;

/**
 * 操作日志
 *
 * @author lijin
 */
@Target({ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface LogOperate {

    /**
     * 日志类型
     *
     * @return
     */
    LogEnum.LogType logType() default LogEnum.LogType.V2;

    /**
     * 操作类型
     *
     * @return
     */
    LogEnum.OptType optType() default LogEnum.OptType.V100;

    /**
     * 日志内容
     *
     * @return
     */
    String logContent() default "";
}
